### Constructor

# Gtk.PageSetup.new_from_gvariant

#### Declaration [src]

    GtkPageSetup*
    gtk_page_setup_new_from_gvariant (
      GVariant* variant
    )

#### Description [src]

Desrialize a page setup from an a{sv} variant.

The variant must be in the format produced by `gtk_page_setup_to_gvariant()`.

#### Parameters

`variant` | `GVariant*`
| an a{sv} `GVariant`
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkPageSetup`
a new `GtkPageSetup` object
Ownership of the data is transferred to the caller